MiniMax: H3 (Image to Video) API Reference

About

MiniMax H3 is a frontier video model. This endpoint animates a supplied image into 2K video, using it as the opening frame or pairs a first and last frame to control a transition between two images.

1. Calling the API

Setup your API Key

To begin using Infron, you first need to create an account and generate your API Key.

Once you have your API key, set it as an environment variable in your runtime environment. This allows your applications to securely access Infron’s API.

export INFRON_KEY="YOUR_API_KEY"

Submit a request

For long-running requests, you can poll for results.

curl https://media.onerouter.pro/v1/videos/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "model": "minimax/minimax-h3/image-to-video",
  "prompt": "Two heavy draft horses stand together in a shallow flooded pasture at dusk — a chestnut with a long flaxen-copper mane, head lowered and turned inward, resting against the shoulder of a dark dapple-grey with black feathered legs. Ankle-deep still water mirrors them almost perfectly. Golden-hour side light, pale peach and dove-grey sky, bare winter trees and a red-roofed barn far in the background with small grazing horses. Extremely slow, quiet motion.",
  "start_image_url": "https://storage.googleapis.com/infron_gcs/quick-upload/2026/08/31/20260831-110035-1debcb43-horse.png",
  "end_image_url": "",
  "duration": 5,
  "resolution": "2K",
  "watermark": false
}'

Response with queue task id

The response will look like this:

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260831030120288297612t4c2qyqI",
    "object": "video",
    "model": "minimax/minimax-h3/image-to-video",
    "status": "created",
    "urls": {
      "query": "https://media.onerouter.pro/v1/videos/tasks/20260831030120288297612t4c2qyqI"
    },
    "created_at": "2026-08-31 03:01:20.33"
  }
}

Fetch request status

You can fetch the status of a request to check if it is completed or still in progress.

curl https://media.onerouter.pro/v1/videos/tasks/{task_id} \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" 

# For example
curl https://media.onerouter.pro/v1/videos/tasks/20260831030120288297612t4c2qyqI \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"

Response with queue task status query

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260831030120288297612t4c2qyqI",
    "object": "video",
    "model": "minimax/minimax-h3/image-to-video",
    "status": "in_progress",
    "fail_reason": "",
    "submit_time": 1788145280,
    "start_time": 1788145280,
    "finish_time": 0,
    "outputs": [],
    "created_at": "2026-08-31 03:01:20"
  }
}

Possible statuses:

  • created
  • in_progress
  • processing
  • completed
  • failed

created -> in_progress → processing → completed | failed

Poll every 1-2 seconds until status is "completed" or "failed"

Get the result (when status is "completed")

Once the request is completed, you can fetch the result. See the Output Schema for the expected result format.

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260831030120288297612t4c2qyqI",
    "object": "video",
    "model": "minimax/minimax-h3/image-to-video",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1788145280,
    "start_time": 1788145280,
    "finish_time": 1788145517,
    "outputs": [
      "https://infron.ai/cdn/media/video/video_v2/output/output_449d45ed-36db-440c-814c-ae3803e1abbb.mp4"
    ],
    "usage": {
      "completion_tokens": 0,
      "duration": 5,
      "generate_audio": true,
      "output_count": 1,
      "prompt_tokens": 1,
      "request_num": 1,
      "resolution": "2K",
      "tokens": 1,
      "total_tokens": 1,
      "video_duration": 5
    },
    "cost": {
      "total_cost": 0.69,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0,
        "video_cost": 0.69,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-08-31 03:01:20"
  }
}

2. Schema

Input

ParameterTypeRequiredDefaultRangeDescription
modelstringYes--Explore all modelsModel name.
promptstringYes----Text prompt for generation; Positive text prompt.
startimageurlstringYes----At least one of startimageurl or endimageurl is required.
endimageurlstringYes----At least one of startimageurl or endimageurl is required.
durationintegerNo44, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15Duration of the generated video
resolutionstringNo2K768P, 2KResolution of the generated video
watermarkbooleanNoFalsetrue, falseWhether to generate watermark.

Example request

curl https://media.onerouter.pro/v1/videos/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "model": "minimax/minimax-h3/image-to-video",
  "prompt": "Two heavy draft horses stand together in a shallow flooded pasture at dusk — a chestnut with a long flaxen-copper mane, head lowered and turned inward, resting against the shoulder of a dark dapple-grey with black feathered legs. Ankle-deep still water mirrors them almost perfectly. Golden-hour side light, pale peach and dove-grey sky, bare winter trees and a red-roofed barn far in the background with small grazing horses. Extremely slow, quiet motion.",
  "start_image_url": "https://storage.googleapis.com/infron_gcs/quick-upload/2026/08/31/20260831-110035-1debcb43-horse.png",
  "end_image_url": "",
  "duration": 5,
  "resolution": "2K",
  "watermark": false
}'

Output

ParameterTypeRangeDescription
codeinteger--Status code of the request.
messagestring--Status message of the request.
dataobject--Data of the video task.
data.task_idstring--ID of the video task.
data.objectstring--Object type of the video task.
data.modelstring--Model name of the video task.
data.statusstringcreated, in_progress, processing, completed, failedStatus of the video task.
data.fail_reasonstring--Fail reason of the video task.
data.submit_timeinteger--Timestamp of the video task submission.
data.start_timeinteger--Timestamp of the video task start.
data.finish_timeinteger--Timestamp of the video task finish.
data.outputsarray--Outputs of the video task.
data.created_atstring--Timestamp of the video task creation.

Example output

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260831030120288297612t4c2qyqI",
    "object": "video",
    "model": "minimax/minimax-h3/image-to-video",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1788145280,
    "start_time": 1788145280,
    "finish_time": 1788145517,
    "outputs": [
      "https://infron.ai/cdn/media/video/video_v2/output/output_449d45ed-36db-440c-814c-ae3803e1abbb.mp4"
    ],
    "usage": {
      "completion_tokens": 0,
      "duration": 5,
      "generate_audio": true,
      "output_count": 1,
      "prompt_tokens": 1,
      "request_num": 1,
      "resolution": "2K",
      "tokens": 1,
      "total_tokens": 1,
      "video_duration": 5
    },
    "cost": {
      "total_cost": 0.69,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0,
        "video_cost": 0.69,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-08-31 03:01:20"
  }
}

3. Detailed Pricing

ResolutionBilled unitPrice
768p1 output video second$0.08
2k1 output video second$0.13
768p → 2k regeneration1 output video second$0.05
reference video → 768p1 input video second$0.08
reference video → 2k1 input video second$0.13
additional image (>5)1 input image$0.04
audio1 input audioFree